Subject: Re: bug#14461: 24.3.50; bad display for 'space' + (U+0336) unicode combination

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Sep 2019 12:21:21 +0300

> Date: Sat, 17 Aug 2019 15:00:18 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Actually , the Unicode Standard prescribes the opposite.  It says
> (paragraph 3.6):
> 
>   D50 Graphic character: A character with the General Category of
>       Letter (L), Combining Mark (M), Number (N), Punctuation (P),
>       Symbol (S), or Space Separator (Zs).
>   ...
>   D51 Base character: Any graphic character except for those with the
>       General Category of Combining Mark (M).
>        • Most Unicode characters are base characters. In terms of
> 	 General Category values, a base character is any code point
> 	 that has one of the following categories: Letter (L), Number
> 	 (N), Punctuation (P), Symbol (S), or Space Separator (Zs).
>   ...
>   D52 Combining character: A character with the General Category of
>       Combining Mark (M).
> 
> and (in 2.11)
> 
>       All combining characters can be applied to any base character and
>       can, in principle, be used with any script.
> 
> So I don't think we are right when we exclude space separators from
> base characters eligible for character composition, I think it's a
> mistake.  Perhaps Handa-san (CC'ed) could comment on why we do that.

No further comments, so I've installed changes to allow SPC and other
similar characters to be composed.

I'm therefore marking this bug done.